HI Tim,

Thank you for your pointer.

Unfortunately wget 1.14 is only available for SLES 12 (not 11).

So I tried to compile wget 1.14 on 11.

It fails on 

configure: error: --with-ssl was given, but GNUTLS is not available.

Now, I have installed 

libopenssl-devel-0.9.8j-0.50.1.x86_64.rpm

But I'm afraid it is looking for something else. Any idea what it may be.

Thanks
Rosario

Rosario CONTARINO 
SSA-ICT

RHEA for ESA - ESOC
Robert-Bosch-Str. 5
D-64293 Darmstadt, Germany 
rosario.contar...@esa.int | www.esa.int
T +49 (0)615 190 2531
ESA (ext. 62531)



From:   Tim Ruehsen <tim.rueh...@gmx.de>
To:     rosario.contar...@esa.int, bug-wget@gnu.org
Cc:     i...@ssa.esa.int
Date:   01/02/2018 21:01
Subject:        Re: [Bug-wget] wget 1.11.4 on SLES 11 SP3 fail an https 
download



Am Donnerstag, den 01.02.2018, 17:29 +0100 schrieb
rosario.contar...@esa.int:
> Dear all,
> 
> I believe, to fix the following issue, I should upgrade wget at least
> to 
> 1.14
> 
> * * *
> wget -v --debug https://ssd.jpl.nasa.gov/dat/radar_data_ast.txt
> DEBUG output created by Wget 1.11.4 on linux-gnu.
> 
> --2018-02-01 17:28:00--  https://ssd.jpl.nasa.gov/dat/radar_data_ast.
> txt
> Resolving ssd.jpl.nasa.gov... 128.149.23.134
> Caching ssd.jpl.nasa.gov => 128.149.23.134
> Connecting to ssd.jpl.nasa.gov|128.149.23.134|:443... connected.
> Created socket 3.
> Releasing 0x0000000000668950 (new refcount 1).
> Initiating SSL handshake.
> SSL handshake failed.
> OpenSSL: error:14077410:SSL routines:SSL23_GET_SERVER_HELLO:sslv3
> alert 
> handshake failure
> Closed fd 3
> Unable to establish SSL connection.
> 
> this is my current version
> 
> wget --version
> GNU Wget 1.11.4
> 
> Copyright (C) 2008 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later
> <http://www.gnu.org/licenses/gpl.html>.
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> 
> Originally written by Hrvoje Niksic <hnik...@xemacs.org>.
> Currently maintained by Micah Cowan <mi...@cowan.name>.
> 
> 
> * * *
> 
> Could you please confirm if that is the issue and, possibly, give me
> a 
> pointer on where to download the source of the 1.14 to compile from
> for my 
> old SLES distro?
> 
> Of course, if binaries for such distro are already available, I'd be
> happy 
> to give it a try.

You can download tarballs of all the versions from https://ftp.gnu.org/
gnu/wget/.
But first you should check whether your distro has a newer version
packaged for you.

Regards, Tim
[attachment "signature.asc" deleted by Rosario Contarino/esoc/ESA] 

Attachment: smime.p7s
Description: S/MIME Cryptographic Signature

Reply via email to